Subject: [Gen-art] Followup on Gen-ART LC review of draft-ietf-ntp-ntpv4-mib-06

From: Ben Campbell <[email-masked]>
Date: Sun, 11 Oct 2009 14:03:38 -0500

I performed a Gen-ART review on revision 5 of this document last  
February (attached below). Revision 6 addresses all of my concerns  
from that version.

However, idnits turns up some new issues, including some new 2119  
language introduced without the normal boilerplate. Here's the idnits  
output for your convenience:

> idnits 2.11.14
>
> tmp/draft-ietf-ntp-ntpv4-mib-06.txt:
>
>   Checking boilerplate required by RFC 5378 and the IETF Trust (see
>   http://trustee.ietf.org/license-info):
>    
> ----------------------------------------------------------------------------
>
>      No issues found here.
>
>   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
>    
> ----------------------------------------------------------------------------
>
>      No issues found here.
>
>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>    
> ----------------------------------------------------------------------------
>
>   ** There are 22 instances of too long lines in the document, the  
> longest
>      one being 49 characters in excess of 72.
>
>   ** The document seems to lack a both a reference to RFC 2119 and the
>      recommended RFC 2119 boilerplate, even if it appears to use RFC  
> 2119
>      keywords.
>
>      RFC 2119 keyword, line 1157: '...B module.  It is RECOMMENDED  
> that impl...'
>      RFC 2119 keyword, line 1161: '...ns prior to SNMPv3 is NOT  
> RECOMMENDED....'
>      RFC 2119 keyword, line 1162: '...  Instead, it is RECOMMENDED  
> to deploy...'
>
>   Miscellaneous warnings:
>    
> ----------------------------------------------------------------------------
>
>      No issues found here.
>
>   Checking references for intended status: Proposed Standard
>    
> ----------------------------------------------------------------------------
>
>      (See RFCs 3967 and 4897 for information about using normative  
> references
>      to lower-maturity documents in RFCs)
>
>   == Unused Reference: 'RFC4001' is defined on line 1190, but no  
> explicit
>      reference was found in the text
>
>   == Outdated reference: A later version (-13) exists of
>      draft-ietf-ntp-ntpv4-proto-11
>
>
>      Summary: 2 errors (**), 2 warnings (==), 0 comments (--).
>
>      Run idnits with the --verbose option for more detailed  
> information about
>      the items above.
>
>

On Feb 23, 2009, at 4:10 PM, Ben Campbell wrote:

> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
> Please resolve these comments along with any other Last Call comments
> you may receive.
>
> Document: draft-ietf-ntp-ntpv4-mib-05
> Reviewer: Ben Campbell
> Review Date: 2008-02-23
> IETF LC End Date: 2008-02-23
> IESG Telechat date: unknown
>
> Note: I am not an expert in MIB requirements. (I'm not an expert in  
> most things I review for Gen-ART, but given the nature of a MIB spec  
> it may have more impact than for most other docs.)
>
>
> Summary:
>
> This document is extremely close to ready for publication as a  
> proposed standard. There are a few nits that should probably be  
> dealt with before final publication.
>
> Major issues: None.
>
> Minor issues: None.
>
> Nits/editorial comments:
>
> -- Definition of ntpEntTimeResolutionVal:
>
> The comment says "shows the resolution based on 1 second, e.g. "1ms"  
> translates to 1000". That confused me at first, since 1ms != 1000 s.  
> I suspect you are talking about the number of divisions in a second,  
> in which 1000 would make sense--but I didn't immediately get that  
> from the text.
>
> -- idnits returns following, which I copy without prejudice:
>
>> idnits 2.11.04
>>
>>
>>
>> tmp/draft-ietf-ntp-ntpv4-mib-05.txt:
>>
>>
>>
>>  Checking boilerplate required by RFC 5378 and the IETF Trust (see
>>
>>  http://trustee.ietf.org/license-info):
>>
>>   
>> ----------------------------------------------------------------------------
>>
>>
>>
>>  ** It looks like you're using RFC 3978 boilerplate.  You should  
>> update this
>>
>>     to the boilerplate described in the IETF Trust License Policy  
>> document
>>
>>     (see http://trustee.ietf.org/license-info), which is required  
>> from
>>
>>     December 16, 2008.  Version 1.34 of xml2rfc can be used to  
>> produce
>>
>>     documents with boilerplate according to the mentioned Trust  
>> License
>>
>>     Policy document.
>>
>>
>>
>>  -- Found old boilerplate from RFC 3978 Section 5.1 on line 17.
>>
>>
>>
>>  -- Found old boilerplate from RFC 3978 Section 5.5 updated by RFC  
>> 4748 on
>>
>>     line 1221.
>>
>>
>>
>>  -- Found old boilerplate from RFC 3979 Section 5 paragraph 1 on  
>> line 1232.
>>
>>
>>
>>  -- Found old boilerplate from RFC 3979 Section 5 paragraph 2 on  
>> line 1239.
>>
>>
>>
>>  -- Found old boilerplate from RFC 3979 Section 5 paragraph 3 on  
>> line 1245.
>>
>>
>>
>>  ** The document seems to lack an RFC 3978 Section 5.4 (updated by  
>> RFC 4748)
>>
>>     Copyright Line.
>>
>>
>>
>>
>>
>>  Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
>>
>>   
>> ----------------------------------------------------------------------------
>>
>>
>>
>>  == No 'Intended status' indicated for this document; assuming  
>> Proposed
>>
>>     Standard
>>
>>
>>
>>
>>
>>  Checking nits according to http://www.ietf.org/ID-Checklist.html:
>>
>>   
>> ----------------------------------------------------------------------------
>>
>>
>>
>>  ** There are 5 instances of too long lines in the document, the  
>> longest one
>>
>>     being 8 characters in excess of 72.
>>
>>
>>
>>
>>
>>  Miscellaneous warnings:
>>
>>   
>> ----------------------------------------------------------------------------
>>
>>
>>
>>  == The document seems to lack a disclaimer for pre-RFC5378 work,  
>> but was
>>
>>     first submitted before 10 November 2008.  Should you add the  
>> disclaimer?
>>
>>     (See the Legal Provisions document at
>>
>>     http://trustee.ietf.org/license-info for more information.).
>>
>>
>>
>>
>>
>>  Checking references for intended status: Proposed Standard
>>
>>   
>> ----------------------------------------------------------------------------
>>
>>
>>
>>     (See RFCs 3967 and 4897 for information about using normative  
>> references
>>
>>     to lower-maturity documents in RFCs)
>>
>>
>>
>>     No issues found here.
>>
>>
>>
>>     Summary: 3 errors (**), 2 warnings (==), 5 comments (--).
>>
>>
>>
>>     Run idnits with the --verbose option for more detailed  
>> information about
>>
>>     the items above.
>>
>>
>>
>> --------------------------------------------------------------------------------